Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
edges
/
{edgeId}
Get Edge
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Request

GET https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId}

Path Parameters

projectId
string
required
The project ID
edgeId
string
required
The edge ID

Headers

Authorization
string
required
Bearer token using your developer key

Response

Returns the edge object, or 404 if not found.

Example

curl https://api.pathors.com/v1/projects/{projectId}/pathway/edges/{edgeId} \
  -H "Authorization: Bearer dk_your_key"
{
  "data": {
    "id": "edge-1",
    "source": "node-1",
    "target": "node-2",
    "data": { "condition": "User confirms the booking" }
  }
}